package com.dhcc.finance.main.domain;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class CwGlTransferdetailExample {

	protected String orderByClause;
	protected boolean distinct;
	protected List<Criteria> oredCriteria;

	public CwGlTransferdetailExample() {
		oredCriteria = new ArrayList<Criteria>();
	}

	public void setOrderByClause(String orderByClause) {
		this.orderByClause = orderByClause;
	}

	public String getOrderByClause() {
		return orderByClause;
	}

	public void setDistinct(boolean distinct) {
		this.distinct = distinct;
	}

	public boolean isDistinct() {
		return distinct;
	}

	public List<Criteria> getOredCriteria() {
		return oredCriteria;
	}

	public void or(Criteria criteria) {
		oredCriteria.add(criteria);
	}

	public Criteria or() {
		Criteria criteria = createCriteriaInternal();
		oredCriteria.add(criteria);
		return criteria;
	}

	public Criteria createCriteria() {
		Criteria criteria = createCriteriaInternal();
		if (oredCriteria.size() == 0) {
			oredCriteria.add(criteria);
		}
		return criteria;
	}

	protected Criteria createCriteriaInternal() {
		Criteria criteria = new Criteria();
		return criteria;
	}

	public void clear() {
		oredCriteria.clear();
		orderByClause = null;
		distinct = false;
	}

	protected abstract static class GeneratedCriteria {
		protected List<Criterion> criteria;

		protected GeneratedCriteria() {
			super();
			criteria = new ArrayList<Criterion>();
		}

		public boolean isValid() {
			return criteria.size() > 0;
		}

		public List<Criterion> getAllCriteria() {
			return criteria;
		}

		public List<Criterion> getCriteria() {
			return criteria;
		}

		protected void addCriterion(String condition) {
			if (condition == null) {
				throw new RuntimeException("Value for condition cannot be null");
			}
			criteria.add(new Criterion(condition));
		}

		protected void addCriterion(String condition, Object value, String property) {
			if (value == null) {
				throw new RuntimeException("Value for " + property + " cannot be null");
			}
			criteria.add(new Criterion(condition, value));
		}

		protected void addCriterion(String condition, Object value1, Object value2, String property) {
			if (value1 == null || value2 == null) {
				throw new RuntimeException("Between values for " + property + " cannot be null");
			}
			criteria.add(new Criterion(condition, value1, value2));
		}

		public Criteria andPkTransferdetailIsNull() {
			addCriterion("PK_TRANSFERDETAIL is null");
			return (Criteria) this;
		}

		public Criteria andPkTransferdetailIsNotNull() {
			addCriterion("PK_TRANSFERDETAIL is not null");
			return (Criteria) this;
		}

		public Criteria andPkTransferdetailEqualTo(String value) {
			addCriterion("PK_TRANSFERDETAIL =", value, "pkTransferdetail");
			return (Criteria) this;
		}

		public Criteria andPkTransferdetailNotEqualTo(String value) {
			addCriterion("PK_TRANSFERDETAIL <>", value, "pkTransferdetail");
			return (Criteria) this;
		}

		public Criteria andPkTransferdetailGreaterThan(String value) {
			addCriterion("PK_TRANSFERDETAIL >", value, "pkTransferdetail");
			return (Criteria) this;
		}

		public Criteria andPkTransferdetailGreaterThanOrEqualTo(String value) {
			addCriterion("PK_TRANSFERDETAIL >=", value, "pkTransferdetail");
			return (Criteria) this;
		}

		public Criteria andPkTransferdetailLessThan(String value) {
			addCriterion("PK_TRANSFERDETAIL <", value, "pkTransferdetail");
			return (Criteria) this;
		}

		public Criteria andPkTransferdetailLessThanOrEqualTo(String value) {
			addCriterion("PK_TRANSFERDETAIL <=", value, "pkTransferdetail");
			return (Criteria) this;
		}

		public Criteria andPkTransferdetailLike(String value) {
			addCriterion("PK_TRANSFERDETAIL like", value, "pkTransferdetail");
			return (Criteria) this;
		}

		public Criteria andPkTransferdetailNotLike(String value) {
			addCriterion("PK_TRANSFERDETAIL not like", value, "pkTransferdetail");
			return (Criteria) this;
		}

		public Criteria andPkTransferdetailIn(List<String> values) {
			addCriterion("PK_TRANSFERDETAIL in", values, "pkTransferdetail");
			return (Criteria) this;
		}

		public Criteria andPkTransferdetailNotIn(List<String> values) {
			addCriterion("PK_TRANSFERDETAIL not in", values, "pkTransferdetail");
			return (Criteria) this;
		}

		public Criteria andPkTransferdetailBetween(String value1, String value2) {
			addCriterion("PK_TRANSFERDETAIL between", value1, value2, "pkTransferdetail");
			return (Criteria) this;
		}

		public Criteria andPkTransferdetailNotBetween(String value1, String value2) {
			addCriterion("PK_TRANSFERDETAIL not between", value1, value2, "pkTransferdetail");
			return (Criteria) this;
		}

		public Criteria andPkTransferIsNull() {
			addCriterion("PK_TRANSFER is null");
			return (Criteria) this;
		}

		public Criteria andPkTransferIsNotNull() {
			addCriterion("PK_TRANSFER is not null");
			return (Criteria) this;
		}

		public Criteria andPkTransferEqualTo(String value) {
			addCriterion("PK_TRANSFER =", value, "pkTransfer");
			return (Criteria) this;
		}

		public Criteria andPkTransferNotEqualTo(String value) {
			addCriterion("PK_TRANSFER <>", value, "pkTransfer");
			return (Criteria) this;
		}

		public Criteria andPkTransferGreaterThan(String value) {
			addCriterion("PK_TRANSFER >", value, "pkTransfer");
			return (Criteria) this;
		}

		public Criteria andPkTransferGreaterThanOrEqualTo(String value) {
			addCriterion("PK_TRANSFER >=", value, "pkTransfer");
			return (Criteria) this;
		}

		public Criteria andPkTransferLessThan(String value) {
			addCriterion("PK_TRANSFER <", value, "pkTransfer");
			return (Criteria) this;
		}

		public Criteria andPkTransferLessThanOrEqualTo(String value) {
			addCriterion("PK_TRANSFER <=", value, "pkTransfer");
			return (Criteria) this;
		}

		public Criteria andPkTransferLike(String value) {
			addCriterion("PK_TRANSFER like", value, "pkTransfer");
			return (Criteria) this;
		}

		public Criteria andPkTransferNotLike(String value) {
			addCriterion("PK_TRANSFER not like", value, "pkTransfer");
			return (Criteria) this;
		}

		public Criteria andPkTransferIn(List<String> values) {
			addCriterion("PK_TRANSFER in", values, "pkTransfer");
			return (Criteria) this;
		}

		public Criteria andPkTransferNotIn(List<String> values) {
			addCriterion("PK_TRANSFER not in", values, "pkTransfer");
			return (Criteria) this;
		}

		public Criteria andPkTransferBetween(String value1, String value2) {
			addCriterion("PK_TRANSFER between", value1, value2, "pkTransfer");
			return (Criteria) this;
		}

		public Criteria andPkTransferNotBetween(String value1, String value2) {
			addCriterion("PK_TRANSFER not between", value1, value2, "pkTransfer");
			return (Criteria) this;
		}

		public Criteria andTransfertypeIsNull() {
			addCriterion("TRANSFERTYPE is null");
			return (Criteria) this;
		}

		public Criteria andTransfertypeIsNotNull() {
			addCriterion("TRANSFERTYPE is not null");
			return (Criteria) this;
		}

		public Criteria andTransfertypeEqualTo(String value) {
			addCriterion("TRANSFERTYPE =", value, "transfertype");
			return (Criteria) this;
		}

		public Criteria andTransfertypeNotEqualTo(String value) {
			addCriterion("TRANSFERTYPE <>", value, "transfertype");
			return (Criteria) this;
		}

		public Criteria andTransfertypeGreaterThan(String value) {
			addCriterion("TRANSFERTYPE >", value, "transfertype");
			return (Criteria) this;
		}

		public Criteria andTransfertypeGreaterThanOrEqualTo(String value) {
			addCriterion("TRANSFERTYPE >=", value, "transfertype");
			return (Criteria) this;
		}

		public Criteria andTransfertypeLessThan(String value) {
			addCriterion("TRANSFERTYPE <", value, "transfertype");
			return (Criteria) this;
		}

		public Criteria andTransfertypeLessThanOrEqualTo(String value) {
			addCriterion("TRANSFERTYPE <=", value, "transfertype");
			return (Criteria) this;
		}

		public Criteria andTransfertypeLike(String value) {
			addCriterion("TRANSFERTYPE like", value, "transfertype");
			return (Criteria) this;
		}

		public Criteria andTransfertypeNotLike(String value) {
			addCriterion("TRANSFERTYPE not like", value, "transfertype");
			return (Criteria) this;
		}

		public Criteria andTransfertypeIn(List<String> values) {
			addCriterion("TRANSFERTYPE in", values, "transfertype");
			return (Criteria) this;
		}

		public Criteria andTransfertypeNotIn(List<String> values) {
			addCriterion("TRANSFERTYPE not in", values, "transfertype");
			return (Criteria) this;
		}

		public Criteria andTransfertypeBetween(String value1, String value2) {
			addCriterion("TRANSFERTYPE between", value1, value2, "transfertype");
			return (Criteria) this;
		}

		public Criteria andTransfertypeNotBetween(String value1, String value2) {
			addCriterion("TRANSFERTYPE not between", value1, value2, "transfertype");
			return (Criteria) this;
		}

		public Criteria andPkVouchertypeIsNull() {
			addCriterion("PK_VOUCHERTYPE is null");
			return (Criteria) this;
		}

		public Criteria andPkVouchertypeIsNotNull() {
			addCriterion("PK_VOUCHERTYPE is not null");
			return (Criteria) this;
		}

		public Criteria andPkVouchertypeEqualTo(String value) {
			addCriterion("PK_VOUCHERTYPE =", value, "pkVouchertype");
			return (Criteria) this;
		}

		public Criteria andPkVouchertypeNotEqualTo(String value) {
			addCriterion("PK_VOUCHERTYPE <>", value, "pkVouchertype");
			return (Criteria) this;
		}

		public Criteria andPkVouchertypeGreaterThan(String value) {
			addCriterion("PK_VOUCHERTYPE >", value, "pkVouchertype");
			return (Criteria) this;
		}

		public Criteria andPkVouchertypeGreaterThanOrEqualTo(String value) {
			addCriterion("PK_VOUCHERTYPE >=", value, "pkVouchertype");
			return (Criteria) this;
		}

		public Criteria andPkVouchertypeLessThan(String value) {
			addCriterion("PK_VOUCHERTYPE <", value, "pkVouchertype");
			return (Criteria) this;
		}

		public Criteria andPkVouchertypeLessThanOrEqualTo(String value) {
			addCriterion("PK_VOUCHERTYPE <=", value, "pkVouchertype");
			return (Criteria) this;
		}

		public Criteria andPkVouchertypeLike(String value) {
			addCriterion("PK_VOUCHERTYPE like", value, "pkVouchertype");
			return (Criteria) this;
		}

		public Criteria andPkVouchertypeNotLike(String value) {
			addCriterion("PK_VOUCHERTYPE not like", value, "pkVouchertype");
			return (Criteria) this;
		}

		public Criteria andPkVouchertypeIn(List<String> values) {
			addCriterion("PK_VOUCHERTYPE in", values, "pkVouchertype");
			return (Criteria) this;
		}

		public Criteria andPkVouchertypeNotIn(List<String> values) {
			addCriterion("PK_VOUCHERTYPE not in", values, "pkVouchertype");
			return (Criteria) this;
		}

		public Criteria andPkVouchertypeBetween(String value1, String value2) {
			addCriterion("PK_VOUCHERTYPE between", value1, value2, "pkVouchertype");
			return (Criteria) this;
		}

		public Criteria andPkVouchertypeNotBetween(String value1, String value2) {
			addCriterion("PK_VOUCHERTYPE not between", value1, value2, "pkVouchertype");
			return (Criteria) this;
		}

		public Criteria andTransfrequencyIsNull() {
			addCriterion("TRANSFREQUENCY is null");
			return (Criteria) this;
		}

		public Criteria andTransfrequencyIsNotNull() {
			addCriterion("TRANSFREQUENCY is not null");
			return (Criteria) this;
		}

		public Criteria andTransfrequencyEqualTo(String value) {
			addCriterion("TRANSFREQUENCY =", value, "transfrequency");
			return (Criteria) this;
		}

		public Criteria andTransfrequencyNotEqualTo(String value) {
			addCriterion("TRANSFREQUENCY <>", value, "transfrequency");
			return (Criteria) this;
		}

		public Criteria andTransfrequencyGreaterThan(String value) {
			addCriterion("TRANSFREQUENCY >", value, "transfrequency");
			return (Criteria) this;
		}

		public Criteria andTransfrequencyGreaterThanOrEqualTo(String value) {
			addCriterion("TRANSFREQUENCY >=", value, "transfrequency");
			return (Criteria) this;
		}

		public Criteria andTransfrequencyLessThan(String value) {
			addCriterion("TRANSFREQUENCY <", value, "transfrequency");
			return (Criteria) this;
		}

		public Criteria andTransfrequencyLessThanOrEqualTo(String value) {
			addCriterion("TRANSFREQUENCY <=", value, "transfrequency");
			return (Criteria) this;
		}

		public Criteria andTransfrequencyLike(String value) {
			addCriterion("TRANSFREQUENCY like", value, "transfrequency");
			return (Criteria) this;
		}

		public Criteria andTransfrequencyNotLike(String value) {
			addCriterion("TRANSFREQUENCY not like", value, "transfrequency");
			return (Criteria) this;
		}

		public Criteria andTransfrequencyIn(List<String> values) {
			addCriterion("TRANSFREQUENCY in", values, "transfrequency");
			return (Criteria) this;
		}

		public Criteria andTransfrequencyNotIn(List<String> values) {
			addCriterion("TRANSFREQUENCY not in", values, "transfrequency");
			return (Criteria) this;
		}

		public Criteria andTransfrequencyBetween(String value1, String value2) {
			addCriterion("TRANSFREQUENCY between", value1, value2, "transfrequency");
			return (Criteria) this;
		}

		public Criteria andTransfrequencyNotBetween(String value1, String value2) {
			addCriterion("TRANSFREQUENCY not between", value1, value2, "transfrequency");
			return (Criteria) this;
		}

		public Criteria andDetailorderIsNull() {
			addCriterion("DETAILORDER is null");
			return (Criteria) this;
		}

		public Criteria andDetailorderIsNotNull() {
			addCriterion("DETAILORDER is not null");
			return (Criteria) this;
		}

		public Criteria andDetailorderEqualTo(String value) {
			addCriterion("DETAILORDER =", value, "detailorder");
			return (Criteria) this;
		}

		public Criteria andDetailorderNotEqualTo(String value) {
			addCriterion("DETAILORDER <>", value, "detailorder");
			return (Criteria) this;
		}

		public Criteria andDetailorderGreaterThan(String value) {
			addCriterion("DETAILORDER >", value, "detailorder");
			return (Criteria) this;
		}

		public Criteria andDetailorderGreaterThanOrEqualTo(String value) {
			addCriterion("DETAILORDER >=", value, "detailorder");
			return (Criteria) this;
		}

		public Criteria andDetailorderLessThan(String value) {
			addCriterion("DETAILORDER <", value, "detailorder");
			return (Criteria) this;
		}

		public Criteria andDetailorderLessThanOrEqualTo(String value) {
			addCriterion("DETAILORDER <=", value, "detailorder");
			return (Criteria) this;
		}

		public Criteria andDetailorderLike(String value) {
			addCriterion("DETAILORDER like", value, "detailorder");
			return (Criteria) this;
		}

		public Criteria andDetailorderNotLike(String value) {
			addCriterion("DETAILORDER not like", value, "detailorder");
			return (Criteria) this;
		}

		public Criteria andDetailorderIn(List<String> values) {
			addCriterion("DETAILORDER in", values, "detailorder");
			return (Criteria) this;
		}

		public Criteria andDetailorderNotIn(List<String> values) {
			addCriterion("DETAILORDER not in", values, "detailorder");
			return (Criteria) this;
		}

		public Criteria andDetailorderBetween(String value1, String value2) {
			addCriterion("DETAILORDER between", value1, value2, "detailorder");
			return (Criteria) this;
		}

		public Criteria andDetailorderNotBetween(String value1, String value2) {
			addCriterion("DETAILORDER not between", value1, value2, "detailorder");
			return (Criteria) this;
		}

		public Criteria andNoteIsNull() {
			addCriterion("NOTE is null");
			return (Criteria) this;
		}

		public Criteria andNoteIsNotNull() {
			addCriterion("NOTE is not null");
			return (Criteria) this;
		}

		public Criteria andNoteEqualTo(String value) {
			addCriterion("NOTE =", value, "note");
			return (Criteria) this;
		}

		public Criteria andNoteNotEqualTo(String value) {
			addCriterion("NOTE <>", value, "note");
			return (Criteria) this;
		}

		public Criteria andNoteGreaterThan(String value) {
			addCriterion("NOTE >", value, "note");
			return (Criteria) this;
		}

		public Criteria andNoteGreaterThanOrEqualTo(String value) {
			addCriterion("NOTE >=", value, "note");
			return (Criteria) this;
		}

		public Criteria andNoteLessThan(String value) {
			addCriterion("NOTE <", value, "note");
			return (Criteria) this;
		}

		public Criteria andNoteLessThanOrEqualTo(String value) {
			addCriterion("NOTE <=", value, "note");
			return (Criteria) this;
		}

		public Criteria andNoteLike(String value) {
			addCriterion("NOTE like", value, "note");
			return (Criteria) this;
		}

		public Criteria andNoteNotLike(String value) {
			addCriterion("NOTE not like", value, "note");
			return (Criteria) this;
		}

		public Criteria andNoteIn(List<String> values) {
			addCriterion("NOTE in", values, "note");
			return (Criteria) this;
		}

		public Criteria andNoteNotIn(List<String> values) {
			addCriterion("NOTE not in", values, "note");
			return (Criteria) this;
		}

		public Criteria andNoteBetween(String value1, String value2) {
			addCriterion("NOTE between", value1, value2, "note");
			return (Criteria) this;
		}

		public Criteria andNoteNotBetween(String value1, String value2) {
			addCriterion("NOTE not between", value1, value2, "note");
			return (Criteria) this;
		}

		public Criteria andOrientationIsNull() {
			addCriterion("ORIENTATION is null");
			return (Criteria) this;
		}

		public Criteria andOrientationIsNotNull() {
			addCriterion("ORIENTATION is not null");
			return (Criteria) this;
		}

		public Criteria andOrientationEqualTo(String value) {
			addCriterion("ORIENTATION =", value, "orientation");
			return (Criteria) this;
		}

		public Criteria andOrientationNotEqualTo(String value) {
			addCriterion("ORIENTATION <>", value, "orientation");
			return (Criteria) this;
		}

		public Criteria andOrientationGreaterThan(String value) {
			addCriterion("ORIENTATION >", value, "orientation");
			return (Criteria) this;
		}

		public Criteria andOrientationGreaterThanOrEqualTo(String value) {
			addCriterion("ORIENTATION >=", value, "orientation");
			return (Criteria) this;
		}

		public Criteria andOrientationLessThan(String value) {
			addCriterion("ORIENTATION <", value, "orientation");
			return (Criteria) this;
		}

		public Criteria andOrientationLessThanOrEqualTo(String value) {
			addCriterion("ORIENTATION <=", value, "orientation");
			return (Criteria) this;
		}

		public Criteria andOrientationLike(String value) {
			addCriterion("ORIENTATION like", value, "orientation");
			return (Criteria) this;
		}

		public Criteria andOrientationNotLike(String value) {
			addCriterion("ORIENTATION not like", value, "orientation");
			return (Criteria) this;
		}

		public Criteria andOrientationIn(List<String> values) {
			addCriterion("ORIENTATION in", values, "orientation");
			return (Criteria) this;
		}

		public Criteria andOrientationNotIn(List<String> values) {
			addCriterion("ORIENTATION not in", values, "orientation");
			return (Criteria) this;
		}

		public Criteria andOrientationBetween(String value1, String value2) {
			addCriterion("ORIENTATION between", value1, value2, "orientation");
			return (Criteria) this;
		}

		public Criteria andOrientationNotBetween(String value1, String value2) {
			addCriterion("ORIENTATION not between", value1, value2, "orientation");
			return (Criteria) this;
		}

		public Criteria andTranssystemIsNull() {
			addCriterion("TRANSSYSTEM is null");
			return (Criteria) this;
		}

		public Criteria andTranssystemIsNotNull() {
			addCriterion("TRANSSYSTEM is not null");
			return (Criteria) this;
		}

		public Criteria andTranssystemEqualTo(String value) {
			addCriterion("TRANSSYSTEM =", value, "transsystem");
			return (Criteria) this;
		}

		public Criteria andTranssystemNotEqualTo(String value) {
			addCriterion("TRANSSYSTEM <>", value, "transsystem");
			return (Criteria) this;
		}

		public Criteria andTranssystemGreaterThan(String value) {
			addCriterion("TRANSSYSTEM >", value, "transsystem");
			return (Criteria) this;
		}

		public Criteria andTranssystemGreaterThanOrEqualTo(String value) {
			addCriterion("TRANSSYSTEM >=", value, "transsystem");
			return (Criteria) this;
		}

		public Criteria andTranssystemLessThan(String value) {
			addCriterion("TRANSSYSTEM <", value, "transsystem");
			return (Criteria) this;
		}

		public Criteria andTranssystemLessThanOrEqualTo(String value) {
			addCriterion("TRANSSYSTEM <=", value, "transsystem");
			return (Criteria) this;
		}

		public Criteria andTranssystemLike(String value) {
			addCriterion("TRANSSYSTEM like", value, "transsystem");
			return (Criteria) this;
		}

		public Criteria andTranssystemNotLike(String value) {
			addCriterion("TRANSSYSTEM not like", value, "transsystem");
			return (Criteria) this;
		}

		public Criteria andTranssystemIn(List<String> values) {
			addCriterion("TRANSSYSTEM in", values, "transsystem");
			return (Criteria) this;
		}

		public Criteria andTranssystemNotIn(List<String> values) {
			addCriterion("TRANSSYSTEM not in", values, "transsystem");
			return (Criteria) this;
		}

		public Criteria andTranssystemBetween(String value1, String value2) {
			addCriterion("TRANSSYSTEM between", value1, value2, "transsystem");
			return (Criteria) this;
		}

		public Criteria andTranssystemNotBetween(String value1, String value2) {
			addCriterion("TRANSSYSTEM not between", value1, value2, "transsystem");
			return (Criteria) this;
		}

		public Criteria andPkSrcaccsubjIsNull() {
			addCriterion("PK_SRCACCSUBJ is null");
			return (Criteria) this;
		}

		public Criteria andPkSrcaccsubjIsNotNull() {
			addCriterion("PK_SRCACCSUBJ is not null");
			return (Criteria) this;
		}

		public Criteria andPkSrcaccsubjEqualTo(String value) {
			addCriterion("PK_SRCACCSUBJ =", value, "pkSrcaccsubj");
			return (Criteria) this;
		}

		public Criteria andPkSrcaccsubjNotEqualTo(String value) {
			addCriterion("PK_SRCACCSUBJ <>", value, "pkSrcaccsubj");
			return (Criteria) this;
		}

		public Criteria andPkSrcaccsubjGreaterThan(String value) {
			addCriterion("PK_SRCACCSUBJ >", value, "pkSrcaccsubj");
			return (Criteria) this;
		}

		public Criteria andPkSrcaccsubjGreaterThanOrEqualTo(String value) {
			addCriterion("PK_SRCACCSUBJ >=", value, "pkSrcaccsubj");
			return (Criteria) this;
		}

		public Criteria andPkSrcaccsubjLessThan(String value) {
			addCriterion("PK_SRCACCSUBJ <", value, "pkSrcaccsubj");
			return (Criteria) this;
		}

		public Criteria andPkSrcaccsubjLessThanOrEqualTo(String value) {
			addCriterion("PK_SRCACCSUBJ <=", value, "pkSrcaccsubj");
			return (Criteria) this;
		}

		public Criteria andPkSrcaccsubjLike(String value) {
			addCriterion("PK_SRCACCSUBJ like", value, "pkSrcaccsubj");
			return (Criteria) this;
		}

		public Criteria andPkSrcaccsubjNotLike(String value) {
			addCriterion("PK_SRCACCSUBJ not like", value, "pkSrcaccsubj");
			return (Criteria) this;
		}

		public Criteria andPkSrcaccsubjIn(List<String> values) {
			addCriterion("PK_SRCACCSUBJ in", values, "pkSrcaccsubj");
			return (Criteria) this;
		}

		public Criteria andPkSrcaccsubjNotIn(List<String> values) {
			addCriterion("PK_SRCACCSUBJ not in", values, "pkSrcaccsubj");
			return (Criteria) this;
		}

		public Criteria andPkSrcaccsubjBetween(String value1, String value2) {
			addCriterion("PK_SRCACCSUBJ between", value1, value2, "pkSrcaccsubj");
			return (Criteria) this;
		}

		public Criteria andPkSrcaccsubjNotBetween(String value1, String value2) {
			addCriterion("PK_SRCACCSUBJ not between", value1, value2, "pkSrcaccsubj");
			return (Criteria) this;
		}

		public Criteria andSrcassIsNull() {
			addCriterion("SRCASS is null");
			return (Criteria) this;
		}

		public Criteria andSrcassIsNotNull() {
			addCriterion("SRCASS is not null");
			return (Criteria) this;
		}

		public Criteria andSrcassEqualTo(String value) {
			addCriterion("SRCASS =", value, "srcass");
			return (Criteria) this;
		}

		public Criteria andSrcassNotEqualTo(String value) {
			addCriterion("SRCASS <>", value, "srcass");
			return (Criteria) this;
		}

		public Criteria andSrcassGreaterThan(String value) {
			addCriterion("SRCASS >", value, "srcass");
			return (Criteria) this;
		}

		public Criteria andSrcassGreaterThanOrEqualTo(String value) {
			addCriterion("SRCASS >=", value, "srcass");
			return (Criteria) this;
		}

		public Criteria andSrcassLessThan(String value) {
			addCriterion("SRCASS <", value, "srcass");
			return (Criteria) this;
		}

		public Criteria andSrcassLessThanOrEqualTo(String value) {
			addCriterion("SRCASS <=", value, "srcass");
			return (Criteria) this;
		}

		public Criteria andSrcassLike(String value) {
			addCriterion("SRCASS like", value, "srcass");
			return (Criteria) this;
		}

		public Criteria andSrcassNotLike(String value) {
			addCriterion("SRCASS not like", value, "srcass");
			return (Criteria) this;
		}

		public Criteria andSrcassIn(List<String> values) {
			addCriterion("SRCASS in", values, "srcass");
			return (Criteria) this;
		}

		public Criteria andSrcassNotIn(List<String> values) {
			addCriterion("SRCASS not in", values, "srcass");
			return (Criteria) this;
		}

		public Criteria andSrcassBetween(String value1, String value2) {
			addCriterion("SRCASS between", value1, value2, "srcass");
			return (Criteria) this;
		}

		public Criteria andSrcassNotBetween(String value1, String value2) {
			addCriterion("SRCASS not between", value1, value2, "srcass");
			return (Criteria) this;
		}

		public Criteria andPkDesaccsubjIsNull() {
			addCriterion("PK_DESACCSUBJ is null");
			return (Criteria) this;
		}

		public Criteria andPkDesaccsubjIsNotNull() {
			addCriterion("PK_DESACCSUBJ is not null");
			return (Criteria) this;
		}

		public Criteria andPkDesaccsubjEqualTo(String value) {
			addCriterion("PK_DESACCSUBJ =", value, "pkDesaccsubj");
			return (Criteria) this;
		}

		public Criteria andPkDesaccsubjNotEqualTo(String value) {
			addCriterion("PK_DESACCSUBJ <>", value, "pkDesaccsubj");
			return (Criteria) this;
		}

		public Criteria andPkDesaccsubjGreaterThan(String value) {
			addCriterion("PK_DESACCSUBJ >", value, "pkDesaccsubj");
			return (Criteria) this;
		}

		public Criteria andPkDesaccsubjGreaterThanOrEqualTo(String value) {
			addCriterion("PK_DESACCSUBJ >=", value, "pkDesaccsubj");
			return (Criteria) this;
		}

		public Criteria andPkDesaccsubjLessThan(String value) {
			addCriterion("PK_DESACCSUBJ <", value, "pkDesaccsubj");
			return (Criteria) this;
		}

		public Criteria andPkDesaccsubjLessThanOrEqualTo(String value) {
			addCriterion("PK_DESACCSUBJ <=", value, "pkDesaccsubj");
			return (Criteria) this;
		}

		public Criteria andPkDesaccsubjLike(String value) {
			addCriterion("PK_DESACCSUBJ like", value, "pkDesaccsubj");
			return (Criteria) this;
		}

		public Criteria andPkDesaccsubjNotLike(String value) {
			addCriterion("PK_DESACCSUBJ not like", value, "pkDesaccsubj");
			return (Criteria) this;
		}

		public Criteria andPkDesaccsubjIn(List<String> values) {
			addCriterion("PK_DESACCSUBJ in", values, "pkDesaccsubj");
			return (Criteria) this;
		}

		public Criteria andPkDesaccsubjNotIn(List<String> values) {
			addCriterion("PK_DESACCSUBJ not in", values, "pkDesaccsubj");
			return (Criteria) this;
		}

		public Criteria andPkDesaccsubjBetween(String value1, String value2) {
			addCriterion("PK_DESACCSUBJ between", value1, value2, "pkDesaccsubj");
			return (Criteria) this;
		}

		public Criteria andPkDesaccsubjNotBetween(String value1, String value2) {
			addCriterion("PK_DESACCSUBJ not between", value1, value2, "pkDesaccsubj");
			return (Criteria) this;
		}

		public Criteria andDesassIsNull() {
			addCriterion("DESASS is null");
			return (Criteria) this;
		}

		public Criteria andDesassIsNotNull() {
			addCriterion("DESASS is not null");
			return (Criteria) this;
		}

		public Criteria andDesassEqualTo(String value) {
			addCriterion("DESASS =", value, "desass");
			return (Criteria) this;
		}

		public Criteria andDesassNotEqualTo(String value) {
			addCriterion("DESASS <>", value, "desass");
			return (Criteria) this;
		}

		public Criteria andDesassGreaterThan(String value) {
			addCriterion("DESASS >", value, "desass");
			return (Criteria) this;
		}

		public Criteria andDesassGreaterThanOrEqualTo(String value) {
			addCriterion("DESASS >=", value, "desass");
			return (Criteria) this;
		}

		public Criteria andDesassLessThan(String value) {
			addCriterion("DESASS <", value, "desass");
			return (Criteria) this;
		}

		public Criteria andDesassLessThanOrEqualTo(String value) {
			addCriterion("DESASS <=", value, "desass");
			return (Criteria) this;
		}

		public Criteria andDesassLike(String value) {
			addCriterion("DESASS like", value, "desass");
			return (Criteria) this;
		}

		public Criteria andDesassNotLike(String value) {
			addCriterion("DESASS not like", value, "desass");
			return (Criteria) this;
		}

		public Criteria andDesassIn(List<String> values) {
			addCriterion("DESASS in", values, "desass");
			return (Criteria) this;
		}

		public Criteria andDesassNotIn(List<String> values) {
			addCriterion("DESASS not in", values, "desass");
			return (Criteria) this;
		}

		public Criteria andDesassBetween(String value1, String value2) {
			addCriterion("DESASS between", value1, value2, "desass");
			return (Criteria) this;
		}

		public Criteria andDesassNotBetween(String value1, String value2) {
			addCriterion("DESASS not between", value1, value2, "desass");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeIsNull() {
			addCriterion("PK_CURRTYPE is null");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeIsNotNull() {
			addCriterion("PK_CURRTYPE is not null");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeEqualTo(String value) {
			addCriterion("PK_CURRTYPE =", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeNotEqualTo(String value) {
			addCriterion("PK_CURRTYPE <>", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeGreaterThan(String value) {
			addCriterion("PK_CURRTYPE >", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeGreaterThanOrEqualTo(String value) {
			addCriterion("PK_CURRTYPE >=", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeLessThan(String value) {
			addCriterion("PK_CURRTYPE <", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeLessThanOrEqualTo(String value) {
			addCriterion("PK_CURRTYPE <=", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeLike(String value) {
			addCriterion("PK_CURRTYPE like", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeNotLike(String value) {
			addCriterion("PK_CURRTYPE not like", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeIn(List<String> values) {
			addCriterion("PK_CURRTYPE in", values, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeNotIn(List<String> values) {
			addCriterion("PK_CURRTYPE not in", values, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeBetween(String value1, String value2) {
			addCriterion("PK_CURRTYPE between", value1, value2, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeNotBetween(String value1, String value2) {
			addCriterion("PK_CURRTYPE not between", value1, value2, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andEnablestateIsNull() {
			addCriterion("ENABLESTATE is null");
			return (Criteria) this;
		}

		public Criteria andEnablestateIsNotNull() {
			addCriterion("ENABLESTATE is not null");
			return (Criteria) this;
		}

		public Criteria andEnablestateEqualTo(String value) {
			addCriterion("ENABLESTATE =", value, "enablestate");
			return (Criteria) this;
		}

		public Criteria andEnablestateNotEqualTo(String value) {
			addCriterion("ENABLESTATE <>", value, "enablestate");
			return (Criteria) this;
		}

		public Criteria andEnablestateGreaterThan(String value) {
			addCriterion("ENABLESTATE >", value, "enablestate");
			return (Criteria) this;
		}

		public Criteria andEnablestateGreaterThanOrEqualTo(String value) {
			addCriterion("ENABLESTATE >=", value, "enablestate");
			return (Criteria) this;
		}

		public Criteria andEnablestateLessThan(String value) {
			addCriterion("ENABLESTATE <", value, "enablestate");
			return (Criteria) this;
		}

		public Criteria andEnablestateLessThanOrEqualTo(String value) {
			addCriterion("ENABLESTATE <=", value, "enablestate");
			return (Criteria) this;
		}

		public Criteria andEnablestateLike(String value) {
			addCriterion("ENABLESTATE like", value, "enablestate");
			return (Criteria) this;
		}

		public Criteria andEnablestateNotLike(String value) {
			addCriterion("ENABLESTATE not like", value, "enablestate");
			return (Criteria) this;
		}

		public Criteria andEnablestateIn(List<String> values) {
			addCriterion("ENABLESTATE in", values, "enablestate");
			return (Criteria) this;
		}

		public Criteria andEnablestateNotIn(List<String> values) {
			addCriterion("ENABLESTATE not in", values, "enablestate");
			return (Criteria) this;
		}

		public Criteria andEnablestateBetween(String value1, String value2) {
			addCriterion("ENABLESTATE between", value1, value2, "enablestate");
			return (Criteria) this;
		}

		public Criteria andEnablestateNotBetween(String value1, String value2) {
			addCriterion("ENABLESTATE not between", value1, value2, "enablestate");
			return (Criteria) this;
		}

		public Criteria andUseStateIsNull() {
			addCriterion("USE_STATE is null");
			return (Criteria) this;
		}

		public Criteria andUseStateIsNotNull() {
			addCriterion("USE_STATE is not null");
			return (Criteria) this;
		}

		public Criteria andUseStateEqualTo(String value) {
			addCriterion("USE_STATE =", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateNotEqualTo(String value) {
			addCriterion("USE_STATE <>", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateGreaterThan(String value) {
			addCriterion("USE_STATE >", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateGreaterThanOrEqualTo(String value) {
			addCriterion("USE_STATE >=", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateLessThan(String value) {
			addCriterion("USE_STATE <", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateLessThanOrEqualTo(String value) {
			addCriterion("USE_STATE <=", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateLike(String value) {
			addCriterion("USE_STATE like", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateNotLike(String value) {
			addCriterion("USE_STATE not like", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateIn(List<String> values) {
			addCriterion("USE_STATE in", values, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateNotIn(List<String> values) {
			addCriterion("USE_STATE not in", values, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateBetween(String value1, String value2) {
			addCriterion("USE_STATE between", value1, value2, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateNotBetween(String value1, String value2) {
			addCriterion("USE_STATE not between", value1, value2, "useState");
			return (Criteria) this;
		}

		public Criteria andCreateUserIsNull() {
			addCriterion("CREATE_USER is null");
			return (Criteria) this;
		}

		public Criteria andCreateUserIsNotNull() {
			addCriterion("CREATE_USER is not null");
			return (Criteria) this;
		}

		public Criteria andCreateUserEqualTo(String value) {
			addCriterion("CREATE_USER =", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserNotEqualTo(String value) {
			addCriterion("CREATE_USER <>", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserGreaterThan(String value) {
			addCriterion("CREATE_USER >", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserGreaterThanOrEqualTo(String value) {
			addCriterion("CREATE_USER >=", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserLessThan(String value) {
			addCriterion("CREATE_USER <", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserLessThanOrEqualTo(String value) {
			addCriterion("CREATE_USER <=", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserLike(String value) {
			addCriterion("CREATE_USER like", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserNotLike(String value) {
			addCriterion("CREATE_USER not like", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserIn(List<String> values) {
			addCriterion("CREATE_USER in", values, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserNotIn(List<String> values) {
			addCriterion("CREATE_USER not in", values, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserBetween(String value1, String value2) {
			addCriterion("CREATE_USER between", value1, value2, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserNotBetween(String value1, String value2) {
			addCriterion("CREATE_USER not between", value1, value2, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateTimeIsNull() {
			addCriterion("CREATE_TIME is null");
			return (Criteria) this;
		}

		public Criteria andCreateTimeIsNotNull() {
			addCriterion("CREATE_TIME is not null");
			return (Criteria) this;
		}

		public Criteria andCreateTimeEqualTo(Date value) {
			addCriterion("CREATE_TIME =", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeNotEqualTo(Date value) {
			addCriterion("CREATE_TIME <>", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeGreaterThan(Date value) {
			addCriterion("CREATE_TIME >", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
			addCriterion("CREATE_TIME >=", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeLessThan(Date value) {
			addCriterion("CREATE_TIME <", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
			addCriterion("CREATE_TIME <=", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeIn(List<Date> values) {
			addCriterion("CREATE_TIME in", values, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeNotIn(List<Date> values) {
			addCriterion("CREATE_TIME not in", values, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeBetween(Date value1, Date value2) {
			addCriterion("CREATE_TIME between", value1, value2, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
			addCriterion("CREATE_TIME not between", value1, value2, "createTime");
			return (Criteria) this;
		}

		public Criteria andUpdateUserIsNull() {
			addCriterion("UPDATE_USER is null");
			return (Criteria) this;
		}

		public Criteria andUpdateUserIsNotNull() {
			addCriterion("UPDATE_USER is not null");
			return (Criteria) this;
		}

		public Criteria andUpdateUserEqualTo(String value) {
			addCriterion("UPDATE_USER =", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserNotEqualTo(String value) {
			addCriterion("UPDATE_USER <>", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserGreaterThan(String value) {
			addCriterion("UPDATE_USER >", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserGreaterThanOrEqualTo(String value) {
			addCriterion("UPDATE_USER >=", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserLessThan(String value) {
			addCriterion("UPDATE_USER <", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserLessThanOrEqualTo(String value) {
			addCriterion("UPDATE_USER <=", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserLike(String value) {
			addCriterion("UPDATE_USER like", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserNotLike(String value) {
			addCriterion("UPDATE_USER not like", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserIn(List<String> values) {
			addCriterion("UPDATE_USER in", values, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserNotIn(List<String> values) {
			addCriterion("UPDATE_USER not in", values, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserBetween(String value1, String value2) {
			addCriterion("UPDATE_USER between", value1, value2, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserNotBetween(String value1, String value2) {
			addCriterion("UPDATE_USER not between", value1, value2, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeIsNull() {
			addCriterion("UPDATE_TIME is null");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeIsNotNull() {
			addCriterion("UPDATE_TIME is not null");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeEqualTo(Date value) {
			addCriterion("UPDATE_TIME =", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeNotEqualTo(Date value) {
			addCriterion("UPDATE_TIME <>", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeGreaterThan(Date value) {
			addCriterion("UPDATE_TIME >", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
			addCriterion("UPDATE_TIME >=", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeLessThan(Date value) {
			addCriterion("UPDATE_TIME <", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
			addCriterion("UPDATE_TIME <=", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeIn(List<Date> values) {
			addCriterion("UPDATE_TIME in", values, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeNotIn(List<Date> values) {
			addCriterion("UPDATE_TIME not in", values, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeBetween(Date value1, Date value2) {
			addCriterion("UPDATE_TIME between", value1, value2, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
			addCriterion("UPDATE_TIME not between", value1, value2, "updateTime");
			return (Criteria) this;
		}

		public Criteria andRemarkIsNull() {
			addCriterion("REMARK is null");
			return (Criteria) this;
		}

		public Criteria andRemarkIsNotNull() {
			addCriterion("REMARK is not null");
			return (Criteria) this;
		}

		public Criteria andRemarkEqualTo(String value) {
			addCriterion("REMARK =", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkNotEqualTo(String value) {
			addCriterion("REMARK <>", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkGreaterThan(String value) {
			addCriterion("REMARK >", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkGreaterThanOrEqualTo(String value) {
			addCriterion("REMARK >=", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkLessThan(String value) {
			addCriterion("REMARK <", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkLessThanOrEqualTo(String value) {
			addCriterion("REMARK <=", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkLike(String value) {
			addCriterion("REMARK like", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkNotLike(String value) {
			addCriterion("REMARK not like", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkIn(List<String> values) {
			addCriterion("REMARK in", values, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkNotIn(List<String> values) {
			addCriterion("REMARK not in", values, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkBetween(String value1, String value2) {
			addCriterion("REMARK between", value1, value2, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkNotBetween(String value1, String value2) {
			addCriterion("REMARK not between", value1, value2, "remark");
			return (Criteria) this;
		}
	}

	public static class Criteria extends GeneratedCriteria {
		protected Criteria() {
			super();
		}
	}

	public static class Criterion {
		private String condition;
		private Object value;
		private Object secondValue;
		private boolean noValue;
		private boolean singleValue;
		private boolean betweenValue;
		private boolean listValue;
		private String typeHandler;

		public String getCondition() {
			return condition;
		}

		public Object getValue() {
			return value;
		}

		public Object getSecondValue() {
			return secondValue;
		}

		public boolean isNoValue() {
			return noValue;
		}

		public boolean isSingleValue() {
			return singleValue;
		}

		public boolean isBetweenValue() {
			return betweenValue;
		}

		public boolean isListValue() {
			return listValue;
		}

		public String getTypeHandler() {
			return typeHandler;
		}

		protected Criterion(String condition) {
			super();
			this.condition = condition;
			this.typeHandler = null;
			this.noValue = true;
		}

		protected Criterion(String condition, Object value, String typeHandler) {
			super();
			this.condition = condition;
			this.value = value;
			this.typeHandler = typeHandler;
			if (value instanceof List<?>) {
				this.listValue = true;
			} else {
				this.singleValue = true;
			}
		}

		protected Criterion(String condition, Object value) {
			this(condition, value, null);
		}

		protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
			super();
			this.condition = condition;
			this.value = value;
			this.secondValue = secondValue;
			this.typeHandler = typeHandler;
			this.betweenValue = true;
		}

		protected Criterion(String condition, Object value, Object secondValue) {
			this(condition, value, secondValue, null);
		}
	}
}